# __gnu_cxx::rb_tree< Key, Value, KeyOfValue, Compare, Alloc > Struct Template Reference
[STL extensions from SGI]

List of all members.

## Detailed Description

### template<class Key, class Value, class KeyOfValue, class Compare, class Alloc = allocator<Value>>
struct __gnu_cxx::rb_tree< Key, Value, KeyOfValue, Compare, Alloc >

This is an SGI extension.

Todo:
  Doc me! See docs/doxygen/TODO and http://gcc.gnu.org/ml/libstdc++/2002-02/msg00003.html for more.

Definition at line 85 of file rb_tree.

The documentation for this struct was generated from the following file:

- rb_tree